OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ES31Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES31Compatibility :: MonadIO m => m Bool
- gl_ARB_ES3_1_compatibility :: Bool
- gl_BACK :: GLenum
- glMemoryBarrierByRegion :: MonadIO m => GLbitfield -> m ()

# Extension Support

glGetARBES31Compatibility :: MonadIO m => m Bool

Is the ARB_ES3_1_compatibility extension supported?

gl_ARB_ES3_1_compatibility :: Bool

Is the ARB_ES3_1_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES31Compatibility` in those cases instead.

# Enums

gl_BACK :: GLenum

# Functions

glMemoryBarrierByRegion

Arguments

:: MonadIO m |
=> GLbitfield | `barriers`.
-> m () |

Manual page for OpenGL 4.x.